Loading...
Searching...
No Matches
filesys.c File Reference

## Macros

#define | _(String)
#define | MIN(a, b)
#define | STREQ(a, b)

## Typedefs

typedef int(* | close_fn_t) (PedFileSystem *)
typedef PedFileSystem *(* | open_fn_t) (PedGeometry *)
typedef PedConstraint *(* | resize_constraint_fn_t) (PedFileSystem const *fs)
typedef int(* | resize_fn_t) (PedFileSystem *fs, PedGeometry *geom, PedTimer *timer)

## Functions

int | fat_close (PedFileSystem *)
PedConstraint * | fat_get_resize_constraint (PedFileSystem const *fs)
PedFileSystem * | fat_open (PedGeometry *)
int | fat_resize (PedFileSystem *fs, PedGeometry *geom, PedTimer *timer)
int | hfs_close (PedFileSystem *)
PedConstraint * | hfs_get_resize_constraint (PedFileSystem const *fs)
PedFileSystem * | hfs_open (PedGeometry *)
int | hfs_resize (PedFileSystem *fs, PedGeometry *geom, PedTimer *timer)
int | hfsplus_close (PedFileSystem *)
PedConstraint * | hfsplus_get_resize_constraint (PedFileSystem const *fs)
PedFileSystem * | hfsplus_open (PedGeometry *)
int | hfsplus_resize (PedFileSystem *fs, PedGeometry *geom, PedTimer *timer)
int | ped_file_system_close (PedFileSystem *fs)
| Close file system `fs`.
PedConstraint * | ped_file_system_get_resize_constraint (const PedFileSystem *fs)
| Return a constraint that represents all of the possible ways the file system `fs` can be resized with ped_file_system_resize().
PedFileSystem * | ped_file_system_open (PedGeometry *geom)
| This function opens the file system stored on `geom`, if it can find one.
int | ped_file_system_resize (PedFileSystem *fs, PedGeometry *geom, PedTimer *timer)
| Resize `fs` to new geometry `geom`.